Export Subscriptions
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/subscriptions/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"perPage": null,
"orderColumn": null,
"orderDirection": null,
"id": null,
"status": null,
"statuses": null,
"email": null,
"customer_id": null,
"product_id": null,
"variant_id": null,
"product_name": null,
"variant_name": null,
"gateways": null,
"payment_method_ids": null,
"intervals": null,
"renewal_method": null,
"cancel_at_period_end": null,
"has_failed_payments": null,
"suspended": null,
"currency": null,
"external_id": null,
"created_at_start": null,
"created_at_end": null,
"current_period_end_start": null,
"current_period_end_end": null,
"cancelled_at_start": null,
"cancelled_at_end": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/subscriptions/export"
payload = {
"page": 1,
"perPage": None,
"orderColumn": None,
"orderDirection": None,
"id": None,
"status": None,
"statuses": None,
"email": None,
"customer_id": None,
"product_id": None,
"variant_id": None,
"product_name": None,
"variant_name": None,
"gateways": None,
"payment_method_ids": None,
"intervals": None,
"renewal_method": None,
"cancel_at_period_end": None,
"has_failed_payments": None,
"suspended": None,
"currency": None,
"external_id": None,
"created_at_start": None,
"created_at_end": None,
"current_period_end_start": None,
"current_period_end_end": None,
"cancelled_at_start": None,
"cancelled_at_end": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
perPage: null,
orderColumn: null,
orderDirection: null,
id: null,
status: null,
statuses: null,
email: null,
customer_id: null,
product_id: null,
variant_id: null,
product_name: null,
variant_name: null,
gateways: null,
payment_method_ids: null,
intervals: null,
renewal_method: null,
cancel_at_period_end: null,
has_failed_payments: null,
suspended: null,
currency: null,
external_id: null,
created_at_start: null,
created_at_end: null,
current_period_end_start: null,
current_period_end_end: null,
cancelled_at_start: null,
cancelled_at_end: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/subscriptions/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/subscriptions/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'page' => 1,
'perPage' => null,
'orderColumn' => null,
'orderDirection' => null,
'id' => null,
'status' => null,
'statuses' => null,
'email' => null,
'customer_id' => null,
'product_id' => null,
'variant_id' => null,
'product_name' => null,
'variant_name' => null,
'gateways' => null,
'payment_method_ids' => null,
'intervals' => null,
'renewal_method' => null,
'cancel_at_period_end' => null,
'has_failed_payments' => null,
'suspended' => null,
'currency' => null,
'external_id' => null,
'created_at_start' => null,
'created_at_end' => null,
'current_period_end_start' => null,
'current_period_end_end' => null,
'cancelled_at_start' => null,
'cancelled_at_end' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/subscriptions/export"
payload := strings.NewReader("{\n \"page\": 1,\n \"perPage\": null,\n \"orderColumn\": null,\n \"orderDirection\": null,\n \"id\": null,\n \"status\": null,\n \"statuses\": null,\n \"email\": null,\n \"customer_id\": null,\n \"product_id\": null,\n \"variant_id\": null,\n \"product_name\": null,\n \"variant_name\": null,\n \"gateways\": null,\n \"payment_method_ids\": null,\n \"intervals\": null,\n \"renewal_method\": null,\n \"cancel_at_period_end\": null,\n \"has_failed_payments\": null,\n \"suspended\": null,\n \"currency\": null,\n \"external_id\": null,\n \"created_at_start\": null,\n \"created_at_end\": null,\n \"current_period_end_start\": null,\n \"current_period_end_end\": null,\n \"cancelled_at_start\": null,\n \"cancelled_at_end\": null\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sellauth.com/v1/shops/{shopId}/subscriptions/export")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"page\": 1,\n \"perPage\": null,\n \"orderColumn\": null,\n \"orderDirection\": null,\n \"id\": null,\n \"status\": null,\n \"statuses\": null,\n \"email\": null,\n \"customer_id\": null,\n \"product_id\": null,\n \"variant_id\": null,\n \"product_name\": null,\n \"variant_name\": null,\n \"gateways\": null,\n \"payment_method_ids\": null,\n \"intervals\": null,\n \"renewal_method\": null,\n \"cancel_at_period_end\": null,\n \"has_failed_payments\": null,\n \"suspended\": null,\n \"currency\": null,\n \"external_id\": null,\n \"created_at_start\": null,\n \"created_at_end\": null,\n \"current_period_end_start\": null,\n \"current_period_end_end\": null,\n \"cancelled_at_start\": null,\n \"cancelled_at_end\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/subscriptions/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"page\": 1,\n \"perPage\": null,\n \"orderColumn\": null,\n \"orderDirection\": null,\n \"id\": null,\n \"status\": null,\n \"statuses\": null,\n \"email\": null,\n \"customer_id\": null,\n \"product_id\": null,\n \"variant_id\": null,\n \"product_name\": null,\n \"variant_name\": null,\n \"gateways\": null,\n \"payment_method_ids\": null,\n \"intervals\": null,\n \"renewal_method\": null,\n \"cancel_at_period_end\": null,\n \"has_failed_payments\": null,\n \"suspended\": null,\n \"currency\": null,\n \"external_id\": null,\n \"created_at_start\": null,\n \"created_at_end\": null,\n \"current_period_end_start\": null,\n \"current_period_end_end\": null,\n \"cancelled_at_start\": null,\n \"cancelled_at_end\": null\n}"
response = http.request(request)
puts response.read_bodyID,Status,"Customer ID","E-mail Address",Product,Variant,Interval,"Interval Count",Quantity,Currency,"Recurring Price","Recurring Price USD","Renewal Method",Gateway,"Cycles Completed","Current Period Start","Current Period End","Trial Ends At","Cancel At Period End","Cancelled At","Cancellation Reason","Expired At","Suspended At","Failed Payment Count","External ID","Initial Invoice ID","Created At"
1,active,1,customer@sellauth.test,"License Keys",Standard,month,1,1,USD,14.99,,manual,,0,,,,No,,,,,0,,1,"2026-11-06 10:45:19"
Subscriptions
Export Subscriptions
Exports the filtered subscriptions as a CSV file.
GET
/
v1
/
shops
/
{shopId}
/
subscriptions
/
export
Export Subscriptions
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/subscriptions/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"perPage": null,
"orderColumn": null,
"orderDirection": null,
"id": null,
"status": null,
"statuses": null,
"email": null,
"customer_id": null,
"product_id": null,
"variant_id": null,
"product_name": null,
"variant_name": null,
"gateways": null,
"payment_method_ids": null,
"intervals": null,
"renewal_method": null,
"cancel_at_period_end": null,
"has_failed_payments": null,
"suspended": null,
"currency": null,
"external_id": null,
"created_at_start": null,
"created_at_end": null,
"current_period_end_start": null,
"current_period_end_end": null,
"cancelled_at_start": null,
"cancelled_at_end": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/subscriptions/export"
payload = {
"page": 1,
"perPage": None,
"orderColumn": None,
"orderDirection": None,
"id": None,
"status": None,
"statuses": None,
"email": None,
"customer_id": None,
"product_id": None,
"variant_id": None,
"product_name": None,
"variant_name": None,
"gateways": None,
"payment_method_ids": None,
"intervals": None,
"renewal_method": None,
"cancel_at_period_end": None,
"has_failed_payments": None,
"suspended": None,
"currency": None,
"external_id": None,
"created_at_start": None,
"created_at_end": None,
"current_period_end_start": None,
"current_period_end_end": None,
"cancelled_at_start": None,
"cancelled_at_end": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
perPage: null,
orderColumn: null,
orderDirection: null,
id: null,
status: null,
statuses: null,
email: null,
customer_id: null,
product_id: null,
variant_id: null,
product_name: null,
variant_name: null,
gateways: null,
payment_method_ids: null,
intervals: null,
renewal_method: null,
cancel_at_period_end: null,
has_failed_payments: null,
suspended: null,
currency: null,
external_id: null,
created_at_start: null,
created_at_end: null,
current_period_end_start: null,
current_period_end_end: null,
cancelled_at_start: null,
cancelled_at_end: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/subscriptions/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/subscriptions/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'page' => 1,
'perPage' => null,
'orderColumn' => null,
'orderDirection' => null,
'id' => null,
'status' => null,
'statuses' => null,
'email' => null,
'customer_id' => null,
'product_id' => null,
'variant_id' => null,
'product_name' => null,
'variant_name' => null,
'gateways' => null,
'payment_method_ids' => null,
'intervals' => null,
'renewal_method' => null,
'cancel_at_period_end' => null,
'has_failed_payments' => null,
'suspended' => null,
'currency' => null,
'external_id' => null,
'created_at_start' => null,
'created_at_end' => null,
'current_period_end_start' => null,
'current_period_end_end' => null,
'cancelled_at_start' => null,
'cancelled_at_end' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/subscriptions/export"
payload := strings.NewReader("{\n \"page\": 1,\n \"perPage\": null,\n \"orderColumn\": null,\n \"orderDirection\": null,\n \"id\": null,\n \"status\": null,\n \"statuses\": null,\n \"email\": null,\n \"customer_id\": null,\n \"product_id\": null,\n \"variant_id\": null,\n \"product_name\": null,\n \"variant_name\": null,\n \"gateways\": null,\n \"payment_method_ids\": null,\n \"intervals\": null,\n \"renewal_method\": null,\n \"cancel_at_period_end\": null,\n \"has_failed_payments\": null,\n \"suspended\": null,\n \"currency\": null,\n \"external_id\": null,\n \"created_at_start\": null,\n \"created_at_end\": null,\n \"current_period_end_start\": null,\n \"current_period_end_end\": null,\n \"cancelled_at_start\": null,\n \"cancelled_at_end\": null\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sellauth.com/v1/shops/{shopId}/subscriptions/export")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"page\": 1,\n \"perPage\": null,\n \"orderColumn\": null,\n \"orderDirection\": null,\n \"id\": null,\n \"status\": null,\n \"statuses\": null,\n \"email\": null,\n \"customer_id\": null,\n \"product_id\": null,\n \"variant_id\": null,\n \"product_name\": null,\n \"variant_name\": null,\n \"gateways\": null,\n \"payment_method_ids\": null,\n \"intervals\": null,\n \"renewal_method\": null,\n \"cancel_at_period_end\": null,\n \"has_failed_payments\": null,\n \"suspended\": null,\n \"currency\": null,\n \"external_id\": null,\n \"created_at_start\": null,\n \"created_at_end\": null,\n \"current_period_end_start\": null,\n \"current_period_end_end\": null,\n \"cancelled_at_start\": null,\n \"cancelled_at_end\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/subscriptions/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"page\": 1,\n \"perPage\": null,\n \"orderColumn\": null,\n \"orderDirection\": null,\n \"id\": null,\n \"status\": null,\n \"statuses\": null,\n \"email\": null,\n \"customer_id\": null,\n \"product_id\": null,\n \"variant_id\": null,\n \"product_name\": null,\n \"variant_name\": null,\n \"gateways\": null,\n \"payment_method_ids\": null,\n \"intervals\": null,\n \"renewal_method\": null,\n \"cancel_at_period_end\": null,\n \"has_failed_payments\": null,\n \"suspended\": null,\n \"currency\": null,\n \"external_id\": null,\n \"created_at_start\": null,\n \"created_at_end\": null,\n \"current_period_end_start\": null,\n \"current_period_end_end\": null,\n \"cancelled_at_start\": null,\n \"cancelled_at_end\": null\n}"
response = http.request(request)
puts response.read_bodyID,Status,"Customer ID","E-mail Address",Product,Variant,Interval,"Interval Count",Quantity,Currency,"Recurring Price","Recurring Price USD","Renewal Method",Gateway,"Cycles Completed","Current Period Start","Current Period End","Trial Ends At","Cancel At Period End","Cancelled At","Cancellation Reason","Expired At","Suspended At","Failed Payment Count","External ID","Initial Invoice ID","Created At"
1,active,1,customer@sellauth.test,"License Keys",Standard,month,1,1,USD,14.99,,manual,,0,,,,No,,,,,0,,1,"2026-11-06 10:45:19"
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Body
application/json
Response
200 - text/plain
The response is of type string.
Example:
"ID,Status,\"Customer ID\",\"E-mail Address\",Product,Variant,Interval,\"Interval Count\",Quantity,Currency,\"Recurring Price\",\"Recurring Price USD\",\"Renewal Method\",Gateway,\"Cycles Completed\",\"Current Period Start\",\"Current Period End\",\"Trial Ends At\",\"Cancel At Period End\",\"Cancelled At\",\"Cancellation Reason\",\"Expired At\",\"Suspended At\",\"Failed Payment Count\",\"External ID\",\"Initial Invoice ID\",\"Created At\"\n1,active,1,customer@sellauth.test,\"License Keys\",Standard,month,1,1,USD,14.99,,manual,,0,,,,No,,,,,0,,1,\"2026-11-06 10:45:19\"\n"